EDIT - bug #8733

Descriptive data set: Specimens of a newly added taxon are not listed in Select Specimen dialog of
the matrix editor

11/28/2019 06:57 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.13

Severity: normal Found in Version:

Description

to reproduce

1. create Descriptive data set in caryophyllales_spp
o adding Rhipsalis pilocarpa by drag and drop to the Descriptive data set
o save the dataset
2. open the matrix editor and keep it open from now on
3. add a new taxon to the Descriptive Data Set, drag Rhipsalis grandiflora Haw. from the taxon tree onto the Descriptive data set
and save the descriptive data set.
4. go back to the matrix editor an try adding the specimens of the new taxon --> these are not listed!

it is needed to close and reopen the the matrix editor

Related issues:
Related to EDIT Platform Etablierung - task #8712: Kurs "Integrated Taxonomy... Closed 11/20/2019

Associated revisions

Revision ceada1b4 - 01/28/2020 01:58 PM - Katja Luther

ref #8733: load descritive dataset before getting specimen

History

#1 - 11/28/2019 06:57 PM - Andreas Kohlbecker

- Project changed from EDIT Platform Etablierung to EDIT
- Category set to taxeditor

- Assignee set to Katja Luther

- Target version set to Unassigned CDM tickets

- Severity set to normal

#2 - 11/28/2019 06:58 PM - Andreas Kohlbecker

- Tracker changed from task to bug

#3 - 11/28/2019 06:58 PM - Andreas Kohlbecker

- Related to task #8712: Kurs "Integrated Taxonomy" : prepare setup for workshop computers added

#4 - 11/28/2019 09:43 PM - Andreas Miiller
- Assignee changed from Katja Luther to Patrick Plitzner

- Target version changed from Unassigned CDM tickets to 287

#6 - 12/02/2019 08:24 AM - Patrick Plitzner
- Status changed from New to Feedback

- Assignee changed from Patrick Plitzner to Andreas Kohlbecker

Currently the specimens listed in the specimen selection dialog are cached after the first time opening the dialog because it can be a an expensive
query. The specimen selection dialog has a refresh button on the top which will run the query again.
| agree that it might not be intuitive that newly added data does not appear directly. We could think of a message in the dialog saying that the dataset
has changed and the user might have to refresh the dialog.

#7 - 12/02/2019 10:35 AM - Andreas Miiller

This ticket is complex. In the ticket description is not written HOW the taxon is added. In general the underlying set of taxa can be changed by more or
less changing ANY of the descriptive data set parameters (subtrees, ranks, areas, descriptions, ...). Only the descriptiveSystem(feature tree) does not
seem to be relevant. Also the set of taxa can be changed outside the descriptive data set by adding/removing a taxon from the taxon tree.
So we need a clear definition what is the expected behavior. Possibilities are:

1. Whenever the descriptive data set changes somehow the specimen candidate list is recomputed

2. Whenever the descriptive data set changes a warning is given that a refresh is needed

3.Same as 1. or 2. but for changes in the taxon tree

4. Changes in the descriptive data set and/or taxon tree are not allowed while the matrix editor is open

5. Another solution
Related to this we need to decide what happens to specimen attached to the descriptive data set if the taxon node filter changes and the specimen
should not belong to it anymore (according the taxon node filter). A decision is needed if the taxon node filter or the set of descriptions has priority. If
the later is the case we need a possibility to delete unwanted descriptions.
From the above solutions the 4th to me seems sufficient and most easy and to implement, but | may be wrong.
#8 - 12/17/2019 02:16 PM - Andreas Miiller

- Target version changed from 287 to Release 5.12

#9 - 01/15/2020 04:39 PM - Andreas Kohlbecker

- Description updated

- Assignee changed from Andreas Kohlbecker to Katja Luther

| updated the ticket description to give some more details on what is did exactly.

Even if there are multiple ways to add a taxon, adding a taxon explicitly to the descriptive data set should cause a related open matrix to refresh.
Using the refresh button as suggested by Patrick, seems not to help:

The specimen selection dialog has a refresh button on the top which will run the query again.

To the solutions suggested by Andreas Mller:
e 1. Whenever the descriptive data set changes somehow the specimen candidate list is recomputed - | prefer this solution if refreshing of the
taxa, specimen candidate list is not complicated or extremely computation intensive
* *4. Changes in the descriptive data set and/or taxon tree are not allowed while the matrix editor is open

And there is also another option to consider:

¢ Whenever the TaxonNavigator, or the Descriptive Dataset, or a Name Editor for a taxon associated with the descriptive data set is being saved
the taxa or potential specimens for the matrix are being refreshed.

The primary question to answer is how much work is it to refresh the matrix and how computation intensive is it?

#10 - 01/16/2020 01:00 PM - Katja Luther

- Target version changed from Release 5.12 to Release 5.13

#11 - 01/28/2020 02:02 PM - Katja Luther

- Status changed from Feedback to In Progress

When adding or deleting a taxonnode filter to descriptive dataset the specimen cache of the matrix is set to null and when opening the specimen
selection dialog, a new cache is created.

#12 - 03/10/2020 09:46 AM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

please review, if this solution already solves the problem, otherwise move the ticket to 5.14

#13 - 03/23/2020 12:38 AM - Andreas Muller
- Assignee changed from Andreas Miiller to Andreas Kohlbecker

The fix seems to improve the situation a lot. If the dataset is changed the specimen list is recomputed.

Not yet solved seems the problem that if an "external" change took place the list is not yet refreshed a specimen is attached to a taxon or removed
from a taxon this is not yet reflected. There might be a typical workflow where this may become an obstacle: you run specimen imports while having
the matrix open (something we have done during the workshop).

However, for me the refresh button works and therefore in general the described problem is not really serious.
Andreas K., what did you mean with "Using the refresh button as suggested by Patrick, seems not to help". Was this fixed in the meanwhile or do we
talk about diffent contexts?

For me this ticket is "solved enough" (meaning it could be solved even better but this is not urgent) so we can close it. But Andreas K., you raised the
issue and therefore | think you better do the final review.

#14 - 03/23/2020 12:40 AM - Andreas Muller

- Subject changed from Descriptive data set: Specimen of newly added taxon are not listed in Select Specimen dialog of the matrix editor to
Descriptive data set: Specimens of newly added taxon are not listed in Select Specimen dialog of the matrix editor

#15 - 03/23/2020 12:40 AM - Andreas Miiller

- Subject changed from Descriptive data set: Specimens of newly added taxon are not listed in Select Specimen dialog of the matrix editor to
Descriptive data set: Specimens of a newly added taxon are not listed in Select Specimen dialog of the matrix editor

- % Done changed from 0 to 50

#16 - 03/26/2020 01:12 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

- Assignee changed from Andreas Kohlbecker to Katja Luther

- % Done changed from 50 to 100

Andreas Miller wrote:
The fix seems to improve the situation a lot. If the dataset is changed the specimen list is recomputed.
Not yet solved seems the problem that if an "external" change took place the list is not yet refreshed a specimen is attached to a taxon or
removed from a taxon this is not yet reflected. There might be a typical workflow where this may become an obstacle: you run specimen imports
while having the matrix open (something we have done during the workshop).
However, for me the refresh button works and therefore in general the described problem is not really serious.
Andreas K., what did you mean with "Using the refresh button as suggested by Patrick, seems not to help". Was this fixed in the meanwhile or
do we talk about diffent contexts?
For me this ticket is "solved enough" (meaning it could be solved even better but this is not urgent) so we can close it. But Andreas K., you

raised the issue and therefore | think you better do the final review.

Yes, | fully agree the ticket can be closed
